Subject: Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Juri Linkov <[email-masked]>
Date: Wed, 19 Dec 2018 23:40:08 +0200

>> > Call it "hi-reddish" if you must, just don't have something called
>> > "gold" look red on TTYs, please.
>>
>> We can call it "hi-redgold" because such thing really exists:
>> https://en.wikipedia.org/wiki/Red_gold
>
> If that's the best we can do...

Another variant that you suggested to try LightSalmon looks good too,
and maybe even better than Gold because Gold is too close to the
existing hi-yellow, whereas LightSalmon is quite far away from the
existing hi-pink.

> How about this instead:
>
> (defface hi-redgold
>   '((((min-colors 8)) (:background "red"))
>     (t (:background "gold")))
>   "Face for hi-lock mode."
>   :group 'hi-lock-faces)
>
> I see no reason to use "red" on 16-color terminals, nor "orange" on
> color TTYs with at least 88 colors.  The translation of "gold" should
> be good enough in those cases.  Isn't it?

I tried, and it used "red" even on 88-colors.

But given that LightSalmon is a good choice, I copied the same
definitions from other faces, substituted with new colors and they
look good on all environments:

(defface hi-salmon
  '((((min-colors 88) (background dark))
     (:background "light salmon" :foreground "black"))
    (((background dark)) (:background "red" :foreground "black"))
    (((min-colors 88)) (:background "light salmon"))
    (t (:background "red")))
  "Face for hi-lock mode."
  :group 'hi-lock-faces)

(defface hi-aquamarine
  '((((min-colors 88) (background dark))
     (:background "aquamarine" :foreground "black"))
    (((background dark)) (:background "blue" :foreground "black"))
    (((min-colors 88)) (:background "aquamarine"))
    (t (:background "blue")))
  "Face for hi-lock mode."
  :group 'hi-lock-faces)